import { log } from '../utils';
export const piniaStore = (useStorePromise) => {
    return new Proxy({}, {
        get: (_, key) => {
            return async () => {
                log(`Trigger pinia store ${key}`);
                const store = (await useStorePromise)();
                if (key === 'isLoading')
                    return store.loading;
                const response = await store[key]?.();
                return response ?? true;
            };
        },
    });
};
